Huawei USG 6000 Series Firewall

Certificate details

Certificate ID #3036
Status historical
Historical reason 186-2 transition
Validation dates 04.10.2017
Standard FIPS 140-2
Security level 2
Type Hardware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode and with the tamper evident seals installed as indicated in the Security Policy
Exceptions
  • Design Assurance: Level 3
  • Mitigation of Other Attacks: N/A
Description The Huawei USG6000 Series Firewalls is designed for large- and medium sized enterprises and next-generation data centers. Provide fine-grained service access control and service acceleration through context awareness by Application, Content, Time, User, Attack, or location (ACTUAL). The USG6000 integrates application-layer protection functions, such as Intrusion Prevention System (IPS), anti-virus, and URL filtering with application identification technologies to improve the threat defense efficiency and accuracy.
Version (Hardware) USG6310S (P/N 50050064 Rev. G), USG6370 (P/N 0235G7LL Rev. P.4), USG6620 (P/N 02359519 Rev. G.3), USG6650 (P/N 0235G7G4 Rev. U.3) and USG6680 (P/N 0235G7G7 Rev. U.2); External Baffle: 99089JEB, Version A.2; Tamper Seal 4057-113016, Version A.3
Version (Firmware) V500R001C50
Vendor Huawei Technologies Co., Ltd. http://www.huawei.com
Lab UL Verification Services, Inc.
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES-256, AES-128, AES-192, AES, AES256, RC4, DES, Triple-DES, 3DES, HMAC, HMAC-SHA-256
Asymmetric Algorithms
RSA 2048, ECDH, ECDSA, ECC, DH, Diffie-Hellman, DSA
Hash functions
SHA-1, SHA-256, SHA-384, SHA-512, SHA-224, SHA256, SHA-2, MD5
Schemes
Key Exchange, Key Agreement
Protocols
SSH, SSHv2, SSHv1, SSL, TLS, IKE, IPsec, VPN
Randomness
DRBG, RNG
Libraries
OpenSSL
Elliptic Curves
P-256, P-521, P-384
Block cipher modes
CBC, CTR, CFB, GCM
TLS cipher suites
TLS_RSA_WITH_DES_CBC_SHA, TLS_RSA_WITH_RC4_128_MD5, TLS_RSA_WITH_RC4_128_SHA, TLS_RSA_WITH_NULL_MD5, TLS_RSA_WITH_NULL_SHA, TLS_DHE_RSA_WITH_DES_CBC_S, TLS_DHE_DSS_WITH_AES_128_C, TLS_DHE_DSS_WITH_AES_256_C

JavaCard API constants
SM2
Vendor
Huawei, Huawei Technologies Co

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3036,
  "dgst": "dcbac9160e0074b1",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "#1442",
        "#1152",
        "#1153",
        "#4451",
        "#4450",
        "HMAC#2952",
        "CVL#1153",
        "AES#4449",
        "KTS#2393",
        "#1440",
        "#1084",
        "#4449",
        "#2391",
        "#2430",
        "KTS#2954",
        "#2432",
        "#2952",
        "DRBG#1440",
        "ECDSA#1084",
        "HMAC#2954",
        "CVL#1148",
        "SHS#3664",
        "Triple-DES#2393",
        "#2954",
        "#1148",
        "#1149",
        "DRBG#1442",
        "CVL#1149",
        "CVL#1152",
        "RSA#2432",
        "SHS#3662",
        "Triple-DES#2391",
        "RSA#2430",
        "AES#4451",
        "#3662",
        "#1441",
        "#2393",
        "#3664"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "3",
        "4",
        "50050064",
        "02359519",
        "113016",
        "6000",
        "2",
        "4057"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 42,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 2
          },
          "ECDH": {
            "ECDH": 2
          },
          "ECDSA": {
            "ECDSA": 11
          }
        },
        "FF": {
          "DH": {
            "DH": 20,
            "Diffie-Hellman": 8
          },
          "DSA": {
            "DSA": 2
          }
        },
        "RSA": {
          "RSA 2048": 2
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 5
        },
        "CFB": {
          "CFB": 2
        },
        "CTR": {
          "CTR": 2
        },
        "GCM": {
          "GCM": 5
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 16
        }
      },
      "crypto_protocol": {
        "IKE": {
          "IKE": 11
        },
        "IPsec": {
          "IPsec": 13
        },
        "SSH": {
          "SSH": 32,
          "SSHv1": 3,
          "SSHv2": 1
        },
        "TLS": {
          "SSL": {
            "SSL": 15
          },
          "TLS": {
            "TLS": 35
          }
        },
        "VPN": {
          "VPN": 20
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 1
        },
        "KEX": {
          "Key Exchange": 2
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 20,
          "P-384": 12,
          "P-521": 20
        }
      },
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 3,
          "#10": 2,
          "#1084": 1,
          "#11": 3,
          "#1148": 1,
          "#1149": 2,
          "#1152": 1,
          "#1153": 2,
          "#12": 4,
          "#13": 2,
          "#14": 2,
          "#1440": 2,
          "#1441": 1,
          "#1442": 2,
          "#15": 2,
          "#16": 2,
          "#17": 2,
          "#18": 3,
          "#19": 3,
          "#2": 3,
          "#20": 1,
          "#21": 1,
          "#22": 1,
          "#23": 1,
          "#2391": 1,
          "#2393": 1,
          "#24": 1,
          "#2430": 1,
          "#2432": 1,
          "#25": 2,
          "#2952": 1,
          "#2954": 1,
          "#3": 3,
          "#3662": 1,
          "#3664": 1,
          "#4": 3,
          "#4449": 2,
          "#4450": 1,
          "#4451": 1,
          "#5": 4,
          "#6": 4,
          "#7": 4,
          "#8": 3,
          "#9": 4
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES-128": 18,
          "AES-192": 7,
          "AES-256": 22,
          "AES256": 1,
          "DRBG 2": 2,
          "HMAC-SHA-1": 8,
          "HMAC-SHA-1 -96": 2,
          "HMAC-SHA-1-96": 2,
          "HMAC-SHA-2": 4,
          "HMAC-SHA-256": 12,
          "HMAC-SHA-3": 4,
          "HMAC-SHA-5": 4,
          "HMAC-SHA256": 2,
          "RSA 2048": 2,
          "SHA-1": 20,
          "SHA-1, 256": 2,
          "SHA-2": 2,
          "SHA-224": 3,
          "SHA-256": 20,
          "SHA-384": 9,
          "SHA-512": 8,
          "SHA256": 3
        }
      },
      "fips_security_level": {},
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 8
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 22
          },
          "SHA2": {
            "SHA-2": 3,
            "SHA-224": 3,
            "SHA-256": 20,
            "SHA-384": 9,
            "SHA-512": 8,
            "SHA256": 3
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {
        "curves": {
          "SM2": 2
        }
      },
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 15
        },
        "RNG": {
          "RNG": 2
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 12,
          "FIPS 180-4": 2,
          "FIPS 186-2": 1,
          "FIPS 186-4": 1,
          "FIPS 197": 2,
          "FIPS 198-1": 2,
          "FIPS186-4": 1
        },
        "NIST": {
          "SP 800-133": 1,
          "SP 800-38A": 2,
          "SP 800-56A": 2,
          "SP 800-67": 2,
          "SP 800-90": 2,
          "SP 800-90A": 4
        },
        "RFC": {
          "RFC 2865": 1,
          "RFC 3414": 1,
          "RFC 3826": 1,
          "RFC 4254": 1,
          "RFC 4303": 1,
          "RFC 4511": 1,
          "RFC 5246": 1,
          "RFC 6379": 1,
          "RFC2574": 1
        },
        "X509": {
          "X.509": 5
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 10,
            "AES-128": 18,
            "AES-192": 7,
            "AES-256": 22,
            "AES256": 1
          },
          "RC": {
            "RC4": 3
          }
        },
        "DES": {
          "3DES": {
            "3DES": 6,
            "Triple-DES": 11
          },
          "DES": {
            "DES": 4
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 8,
            "HMAC-SHA-256": 6
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {
        "TLS": {
          "TLS_DHE_DSS_WITH_AES_128_C": 3,
          "TLS_DHE_DSS_WITH_AES_256_C": 2,
          "TLS_DHE_RSA_WITH_DES_CBC_S": 1,
          "TLS_RSA_WITH_DES_CBC_SHA": 1,
          "TLS_RSA_WITH_NULL_MD5": 1,
          "TLS_RSA_WITH_NULL_SHA": 1,
          "TLS_RSA_WITH_RC4_128_MD5": 1,
          "TLS_RSA_WITH_RC4_128_SHA": 1
        }
      },
      "vendor": {
        "Huawei": {
          "Huawei": 127,
          "Huawei Technologies Co": 61
        }
      },
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "HMAC#2952",
        "CVL#1153",
        "AES#4449",
        "KTS#2393",
        "KTS#2954",
        "DRBG#1440",
        "ECDSA#1084",
        "HMAC#2954",
        "CVL#1148",
        "SHS#3664",
        "Triple-DES#2393",
        "DRBG#1442",
        "CVL#1149",
        "CVL#1152",
        "RSA#2432",
        "SHS#3662",
        "Triple-DES#2391",
        "RSA#2430",
        "AES#4451"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#1442",
        "#1152",
        "#1153",
        "#4451",
        "#4450",
        "#1440",
        "#1084",
        "#4449",
        "#2391",
        "#2430",
        "#2432",
        "#2952",
        "#2954",
        "#1148",
        "#1149",
        "#3662",
        "#1441",
        "#2393",
        "#3664"
      ]
    },
    "policy_metadata": {
      "/Author": "Huawei Technologies Co.,Ltd.",
      "/Company": "Huawei Technologies Co.,Ltd.",
      "/CreationDate": "D:20170927162454-07\u002700\u0027",
      "/Creator": "Acrobat PDFMaker 11 for Word",
      "/DocumentName": "JN3871_Huawei_USG_Switch_Family_Security_Policy_v0_1_63x0_66x0",
      "/DocumentVersion": "01",
      "/Keywords": "",
      "/ModDate": "D:20170927162514-07\u002700\u0027",
      "/PartNumber": "",
      "/Producer": "Adobe PDF Library 11.0",
      "/Product\u0026Project Name": "JN3871_Huawei_USG_Switch_Family_Security_Policy_v0_1_63x0_66x0",
      "/ProductVersion": "",
      "/ProprietaryDeclaration": "Huawei Proprietary and Confidential                   Copyright \u00a9 Huawei Technologies Co., Ltd.",
      "/ReleaseDate": "2017-03-31",
      "/SecretLevel": "CONFIDENTIAL",
      "/SourceModified": "D:20170927232321",
      "/Subject": "Technical Document",
      "/Title": "JN3871_Huawei_USG_Switch_Family_Security_Policy_v0_1_63x0_66x0",
      "/Trademark\u0026ProductType": "JN3871_Huawei_USG_Switch_Family_Security_Policy_v0_1_63x0_66x0",
      "/_2015_ms_pID_725343": "(3)54nw6qV3r2QWFA/7TLhf4oVRyKnuC6Pi3C3i+SxIamSm6lvbfHvDgCxqpVTlEn6vHPmaqka/\r\nWHG0RbedWzYKXuIY9Vo8h73+v3jCtEGdqGv4/rOdKItCvLvHWRNgaV5D9WFHSSXZ+ctuuvdj\r\nhNEGfgq2zPQWZdZ6fPNdaJxGpqC7lRl2Zx9d8nyI2BYetNZba87jE4UFOHR9tUPCKbxXItq3\r\nY96XJUrClpFGb+enpa",
      "/_2015_ms_pID_7253431": "0jyYpfTF0zvBsYvRi2u+xbSt4T4AjMyIqvqqT6CYzYeuL54fHBicBi\r\nrmhhJPZp5Utv0pEzn3mFVJwYsZ4lEpT6u4a/OEB/eEyAm3iYDtJ+xdSqBKICQ+uqPPUtAH0i\r\nBeMLydgygojMGExjnzlLmymStW8rD9GoRDBHuBWzfmmyQ52dPgGdPBn07jysfzyexxXSV82P\r\nj2HuQYZajzsDDG17P247K0LYpxgduvp/S29D",
      "/_2015_ms_pID_7253431_00": "_2015_ms_pID_7253431",
      "/_2015_ms_pID_7253432": "yg==",
      "/_2015_ms_pID_725343_00": "_2015_ms_pID_725343",
      "/_change": "",
      "/_full-control": "",
      "/_readonly": "",
      "/sflag": "1490703668",
      "pdf_file_size_bytes": 1767336,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://csrc.nist.gov/groups/STM/cavp/documents/mac/hmacval.html#xxxx",
          "http://csrc.nist.gov/groups/STM/cavp/documents/des/tripledesnewval.html#xxxx",
          "http://www.huawei.com/",
          "http://csrc.nist.gov/groups/STM/cavp/documents/drbg/drbgnewval.html#xxxx",
          "http://csrc.nist.gov/groups/STM/cavp/documents/shs/shaval.html#xxxx",
          "mailto:[email protected]"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 59
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "d1f4e636ae9ce1bdfe6fcc62e8bcfe2725b4f818dd1071165eb89e624d59abc4",
      "source_hash": "aee0ad8ce35b8385293fec2ef7368599c51ec7dbf8a7f67f02d99ab668b32453",
      "txt_hash": "ff1445ce8b228eb7edc2698bce03327170977dfe17fdc20fae2fed39559dc650"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode and with the tamper evident seals installed as indicated in the Security Policy",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertOct2017.pdf",
    "date_sunset": null,
    "description": "The Huawei USG6000 Series Firewalls is designed for large- and medium sized enterprises and next-generation data centers. Provide fine-grained service access control and service acceleration through context awareness by Application, Content, Time, User, Attack, or location (ACTUAL). The USG6000 integrates application-layer protection functions, such as Intrusion Prevention System (IPS), anti-virus, and URL filtering with application identification technologies to improve the threat defense efficiency and accuracy.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Design Assurance: Level 3",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": "V500R001C50",
    "historical_reason": "186-2 transition",
    "hw_versions": "USG6310S (P/N 50050064 Rev. G), USG6370 (P/N 0235G7LL Rev. P.4), USG6620 (P/N 02359519 Rev. G.3), USG6650 (P/N 0235G7G4 Rev. U.3) and USG6680 (P/N 0235G7G7 Rev. U.2); External Baffle: 99089JEB, Version A.2; Tamper Seal 4057-113016, Version A.3",
    "level": 2,
    "mentioned_certs": {},
    "module_name": "Huawei USG 6000 Series Firewall",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2017-10-04",
        "lab": "UL Verification Services, Inc.",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Huawei Technologies Co., Ltd.",
    "vendor_url": "http://www.huawei.com"
  }
}